Debian Bug report logs - #370709
xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows

version graph

Package: xserver-xorg-video-nv; Maintainer for xserver-xorg-video-nv is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for xserver-xorg-video-nv is src:xserver-xorg-video-nv.

Reported by: Per Blomqvist <per.blomqvist@telia.com>

Date: Tue, 6 Jun 2006 14:48:42 UTC

Severity: important

Tags: upstream, wontfix

Found in versions xserver-xorg-video-nv/1:1.0.1.5-2, xserver-xorg-video-nv/1:2.1.3-1

Done: Solveig <debian@solveig.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=3168

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Per Blomqvist <per.blomqvist@telia.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Blomqvist <per.blomqvist@telia.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Tue, 06 Jun 2006 16:15:21 +0200
Package: xserver-xorg-video-nv
Version: 1:1.0.1.5-2
Severity: important


Hello. 

My X hangs sometimes when scrolling aterm and programs listbox.

I made a previouse bugreport (soon two years ago):
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=277309
Go and look at that report for full story. 
I did some folwups, but have more to tell now.

(What I have done since then, was holding back the update, with /etc/apt/preferences:

Package: xserver-xfree86
Pin: release v=6.8.2.dfsg.1-10
Pin-Priority: 1001

BUT now when the names, and dependencies have changed.. It's getting
harder to hold it back. )

The bug isn't active when "NoAccel" are set.
And I find that "ShadowFB" set, also fix the problem.
(But these two fixes have it's own problems.. As, my tv-card doesn't
work with "ShadowFB", and mouse scrolling looks terible with "NoAccel".)

And.. I have done some compiling of this package, and believe the problem
isn't in this package, ehe! Here is the loong story: I reversed all the
changes done on the nv.o/nv.so source files, in this package, so it match the last recorded stable version (6.8.. in then xfree86, there wasn't that many changes). 
But the driver I produced have the same problem. So.. the bug must be
traced to some of the includes headers things, of whatever dependens I
can't dig that deep.

Any ideer what?

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27-2-686
Locale: LANG=sv_SE, LC_CTYPE=sv_SE.ISO-8859-1 (charmap=ISO-8859-1) (ignored: LC_ALL set to sv_SE)

Versions of packages xserver-xorg-video-nv depends on:
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries
ii  xserver-xorg-core             1:1.0.2-8  X.Org X server -- core server

xserver-xorg-video-nv recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Bernard Jungen <bern8817@euphonynet.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 370709@bugs.debian.org (full text, mbox):

From: Bernard Jungen <bern8817@euphonynet.be>
To: Per Blomqvist <per.blomqvist@telia.com>, 370709@bugs.debian.org
Subject: Re: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Mon, 27 Nov 2006 07:17:58 +0100
On Tue, Jun 06, 2006 at 04:15:21PM +0200, Per Blomqvist wrote:
> Package: xserver-xorg-video-nv
> Version: 1:1.0.1.5-2
> Severity: important
> 
> 
> Hello. 
> 
> My X hangs sometimes when scrolling aterm and programs listbox.
> 
> I made a previouse bugreport (soon two years ago):
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=277309
> Go and look at that report for full story. 
> I did some folwups, but have more to tell now.
> 
> (What I have done since then, was holding back the update, with /etc/apt/preferences:
> 
> Package: xserver-xfree86
> Pin: release v=6.8.2.dfsg.1-10
> Pin-Priority: 1001
> 
> BUT now when the names, and dependencies have changed.. It's getting
> harder to hold it back. )

I agree, that bug wouldn't have been a problem if downgrading X had been
easy to do. IMHO, mentioning X hanging possibility in the description of
such an important package would have greatly helped people like us avoid
getting trapped in that buggy environment. And having only a 56k connection
at upgrade time didn't help my sentiment of course. Nevertheless, that
bug greatly damages the Linux X stability reputation. What's an ignorant
user to do when confronted with X hanging much more often than Windows?

> The bug isn't active when "NoAccel" are set.
> And I find that "ShadowFB" set, also fix the problem.
> (But these two fixes have it's own problems.. As, my tv-card doesn't
> work with "ShadowFB", and mouse scrolling looks terible with "NoAccel".)
> 
> And.. I have done some compiling of this package, and believe the problem
> isn't in this package, ehe! Here is the loong story: I reversed all the
> changes done on the nv.o/nv.so source files, in this package, so it match the last recorded stable version (6.8.. in then xfree86, there wasn't that many changes). 
> But the driver I produced have the same problem. So.. the bug must be
> traced to some of the includes headers things, of whatever dependens I
> can't dig that deep.
> 
> Any ideer what?

I think you're right about the bug(s) not being in the card driver.
Latest version (unstable 1.2.0-3) of the card driver seems to make X a
bit more stable but X still hangs occasionally here.

Try using this X config option: XaaNoScanlineCPUToScreenColorExpandFill.
It seems to fix the problem for me *without* any noticeable redraw speed
problems. BTW, wouldn't the problem go away, Alt-SysRq-K is your friend.

A test of mine is this: run a program that outputs a lot of data
in an xterm making it scroll for very long, and resize its window manually
with the mouse for some time (solid redraws are enabled of course).

Another test: manipulate big sound files with sweep.

I hope it helps. Cheers,

Bernard.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to 370709@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 370709@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Bernard Jungen <bern8817@euphonynet.be>, Per Blomqvist <per.blomqvist@telia.com>
Cc: 370709@bugs.debian.org
Subject: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Tue, 08 May 2007 21:14:24 +0200
Hi,

About a year ago, you reported (or replied to) a bug in the Debian BTS
regarding a system hang in NVSync() when scrolling programs or terminal
windows. Did any of you guys reproduce this problem recently? With
Xorg/Etch? If not, I will close this bug in the next weeks.

Thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Bernard Jungen <bern8817@euphonynet.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 370709@bugs.debian.org (full text, mbox):

From: Bernard Jungen <bern8817@euphonynet.be>
To: 370709@bugs.debian.org
Subject: Re: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Sun, 13 May 2007 19:05:25 +0200
On Tue, May 08, 2007 at 09:14:24PM +0200, Brice Goglin wrote:
> Hi,
> 
> About a year ago,

Rather about 6 months ago...

> you reported (or replied to) a bug in the Debian BTS
> regarding a system hang in NVSync() when scrolling programs or terminal
> windows. Did any of you guys reproduce this problem recently? With
> Xorg/Etch? If not, I will close this bug in the next weeks.

First a followup of my last post. It seems that setting
XaaNoScanlineCPUToScreenColorExpandFill is not sufficient in reducing lock ups
significantly enough for everyday use. I've tried to regularly test different
settings through normal system reboots in order to close in upon the problem.
I've not finished but it seems the problem is not tied to one or a few
setting(s). Here's my current relevant config settings that *very* rarely
locks up X here (with the last two options being important AFAICR):

        Option          "XaaNoCPUToScreenColorExpandFill"
        Option          "XaaNoScanlineCPUToScreenColorExpandFill"
        Option          "XaaNoScreenToScreenColorExpandFill"
#       Option          "XaaNoScreenToScreenCopy"
#       Option          "XaaNoSolidFillRect"
        Option          "XaaNoSolidFillTrap"
        Option          "XaaNoSolidTwoPointLine"
        Option          "XaaNoSolidBresenhamLine"
        Option          "XaaNoSolidHorVertLine"
        Option          "XaaNoDashedTwoPointLine"
        Option          "XaaNoDashedBresenhamLine"
        Option          "XaaNoMono8x8PatternFillRect"
#       Option          "XaaNoMono8x8PatternFillTrap"
#       Option          "XaaNoColor8x8PatternFillRect"
#       Option          "XaaNoColor8x8PatternFillTrap"
#       Option          "XaaNoImageWriteRect"
#       Option          "XaaNoScanlineImageWriteRect"
#       Option          "XaaNoWriteBitmap"
#       Option          "XaaNoWritePixmap"
        Option          "XaaNoPixmapCache"
        Option          "XaaNoOffscreenPixmaps"

As for the newest software versions, I upgraded all my installed *xorg*
packages to the versions in "testing", and I quickly reproduced the bug(s)
using full acceleration. Five seconds into the first video capture with
"streamer" did lock up X, as did saving a sound sample from "sweep" (always
happens after the save completes but before the progress bar returns to normal,
and doesn't happen everytime).

So I guess we're not finished with this bug, that may be in a more generic
package IMO. Aren't there similar problems with other video cards?

#389080 may also be related to this IMO. When X locks up, it seems to take
*most* CPU cycles for itself: an audio application like ogg123 running in the
background still gets cycles, but not enough, resulting in a small part of
the sound (about 0.2s) regularly (about every second) reaching the sound card.
Maybe there's an important loop in X where tests/workarounds/whatever could
easily be inserted in order to facilitate debugging/lockup breaking?

I'm surprised there's not more feedback given the real annoyance this bug is.

Aren't there any other easy tests we could perform without messing with X
sources?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 370709@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Bernard Jungen <bern8817@euphonynet.be>
Cc: 370709@bugs.debian.org
Subject: Re: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Sun, 13 May 2007 21:16:09 +0200
Bernard Jungen wrote:
> On Tue, May 08, 2007 at 09:14:24PM +0200, Brice Goglin wrote:
>   
>> About a year ago,
>>     
>
> Rather about 6 months ago...
>   

Let's say that you replied 6 months ago, but the initial report comes
from June 2006 :)

> As for the newest software versions, I upgraded all my installed *xorg*
> packages to the versions in "testing".

There's almost nothing new regarding X in testing (compared to
stable/Etch). The really new things are still in unstable, especially
xserver-xorg-video-nv 2.0.2 (and xserver-xorg-core 1.3.0 but it should
not help much for your problem).

> So I guess we're not finished with this bug, that may be in a more generic
> package IMO. Aren't there similar problems with other video cards?
>   

Not that I know of.

> #389080 may also be related to this IMO.

Unfortunately, the submitter never replied to Michel's question,
especially his config and log. I will ping him again soon.


Also, note that the submitter of 370709 doesn't have a valid address
anymore. So you might alone to debug this bug now :(

> Aren't there any other easy tests we could perform without messing with X
> sources?
>   

For now, the best would be to try with xserver-xorg-video-nv 2.0.2 (the
one in unstable). If you can't upgrade to it because it brings lots of
dependencies (such a libc6 2.5), you might want to rebuild it. It should
be easy.

If the problem still appears, we will talk to upstream. I found a couple
possibly related bugs upstream:
    https://bugs.freedesktop.org/show_bug.cgi?id=6161
    https://bugs.freedesktop.org/show_bug.cgi?id=3168
If it's the same problem that you are experiencing, we should ping them.

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Bernard Jungen <bern8817@euphonynet.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 370709@bugs.debian.org (full text, mbox):

From: Bernard Jungen <bern8817@euphonynet.be>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Subject: Re: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Wed, 16 May 2007 00:59:42 +0200
On Sun, May 13, 2007 at 09:16:09PM +0200, Brice Goglin wrote:
> For now, the best would be to try with xserver-xorg-video-nv 2.0.2 (the
> one in unstable). If you can't upgrade to it because it brings lots of
> dependencies (such a libc6 2.5), you might want to rebuild it. It should
> be easy.

I choose the rebuild route, but it'll be low precedence on my todo list,
especially since my workaround is reliable enough for now.

> If the problem still appears, we will talk to upstream. I found a couple
> possibly related bugs upstream:
>     https://bugs.freedesktop.org/show_bug.cgi?id=6161
>     https://bugs.freedesktop.org/show_bug.cgi?id=3168
> If it's the same problem that you are experiencing, we should ping them.

Indeed, those may very well be the same problem.

IMO a good idea would be to post something about one of the bugs above anyway,
mentioning this Debian bug, so that:
    a) they have more info about the problem;
    b) the link between the three reports is documented;
    c) my workaround can help more frustrated users.

So, no problem for me if you close this Debian bug, as upstream is aware of it.

Thanks,

Bernard.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 370709@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Bernard Jungen <bern8817@euphonynet.be>, 370709@bugs.debian.org
Subject: Re: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Fri, 10 Aug 2007 20:49:17 +0200
On Wed, May 16, 2007 at 12:59:42AM +0200, Bernard Jungen wrote:
> On Sun, May 13, 2007 at 09:16:09PM +0200, Brice Goglin wrote:
> > For now, the best would be to try with xserver-xorg-video-nv 2.0.2 (the
> > one in unstable). If you can't upgrade to it because it brings lots of
> > dependencies (such a libc6 2.5), you might want to rebuild it. It should
> > be easy.
> 
> I choose the rebuild route, but it'll be low precedence on my todo list,
> especially since my workaround is reliable enough for now.

Did you have a chance to test a newer driver? Either 2.0.2 or the latest 2.1.2?

> So, no problem for me if you close this Debian bug, as upstream is aware of it.

I'd rather keep it open, anybody else using Debian and having the same bug
would open a new one or so.

I will add a comment on upstream bug #6161 when I'll have some feedback from you.

thanks,
Brice



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Bernard Jungen <bern8817@euphonynet.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 370709@bugs.debian.org (full text, mbox):

From: Bernard Jungen <bern8817@euphonynet.be>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 370709@bugs.debian.org
Subject: Re: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Fri, 7 Sep 2007 02:41:02 +0200
On Fri, Aug 10, 2007 at 08:49:17PM +0200, Brice Goglin wrote:
> On Wed, May 16, 2007 at 12:59:42AM +0200, Bernard Jungen wrote:
> > On Sun, May 13, 2007 at 09:16:09PM +0200, Brice Goglin wrote:
> > > For now, the best would be to try with xserver-xorg-video-nv 2.0.2 (the
> > > one in unstable). If you can't upgrade to it because it brings lots of
> > > dependencies (such a libc6 2.5), you might want to rebuild it. It should
> > > be easy.
> > 
> > I choose the rebuild route, but it'll be low precedence on my todo list,
> > especially since my workaround is reliable enough for now.
> 
> Did you have a chance to test a newer driver? Either 2.0.2 or the latest 2.1.2?

Alas I had no chance yet to upgrade: a lot of work and the need for a stable
machine. Moreover I've noticed recently that further upgrades will need
upgrading some core packages other than apparently stable libc6.

To be honest, according to what I've read about Nvidia drivers, I don't
really expect the bug to really be fixed soon. Anyway, count on me to report
results when I upgrade.

Bernard.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Bernard Jungen <bern8817@euphonynet.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 370709@bugs.debian.org (full text, mbox):

From: Bernard Jungen <bern8817@euphonynet.be>
To: 370709@bugs.debian.org
Subject: Re: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Mon, 29 Oct 2007 12:11:00 +0100
Hi,

I had a chance to upgrade and test. Alas no luck. Long directory scrolling in small xterm window quickly freezes X.

ii  xserver-xorg                           1:7.2-5
ii  xserver-xorg-core                      2:1.3.0.0.dfsg-12
ii  xserver-xorg-input-evdev               1:1.1.5-3
ii  xserver-xorg-input-kbd                 1:1.2.0-1+1.2.1
ii  xserver-xorg-input-mouse               1:1.2.2-1
ii  xserver-xorg-input-void                1:1.1.0-2
ii  xserver-xorg-input-wacom               0.7.7.11-1
ii  xserver-xorg-video-fbdev               1:0.3.1-1
ii  xserver-xorg-video-i810                2:2.1.0-2
ii  xserver-xorg-video-intel               2:2.1.0-2
ii  xserver-xorg-video-nv                  1:2.1.3-1
ii  xserver-xorg-video-v4l                 0.1.1-3
ii  xserver-xorg-video-vesa                1:1.3.0-1
ii  xserver-xorg-video-vga                 1:4.1.0-3




Bug marked as found in version 1:2.1.3-1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 28 Feb 2008 12:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Close <Benjamin.Close@clearchain.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 370709@bugs.debian.org (full text, mbox):

From: Benjamin Close <Benjamin.Close@clearchain.com>
To: 370709@bugs.debian.org
Subject: Re: Bug#370709: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Thu, 05 Jun 2008 09:35:56 +0930
A possible fix and a lot more info about this bug can be found in the 
FreeDesktop ticket: http://bugs.freedesktop.org/show_bug.cgi?id=3168




Noted your statement that Bug has been forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=3168. Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Sat, 21 Jun 2008 15:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#370709; Package xserver-xorg-video-nv. (Mon, 24 Nov 2008 21:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernard Jungen <bern8817@euphonynet.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 24 Nov 2008 21:42:02 GMT) Full text and rfc822 format available.

Message #59 received at 370709@bugs.debian.org (full text, mbox):

From: Bernard Jungen <bern8817@euphonynet.be>
To: 370709@bugs.debian.org
Subject: Re: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows
Date: Mon, 24 Nov 2008 22:38:34 +0100
Hi,

Here's a final update from me about this bug. Nearly four months ago my NV GeForce MX 440 card died and was replaced with a FX 5200. Since then I had *no* lock ups, even with full acceleration, and with exactly the same xorg packages versions as reported in my last post.

Now a bit more info about what I noticed when the card was dying. First, during 2 or 3 days the bug unexpectedly reappeared several times. Then after those days, I got up and found the computer completely locked up with a black screen, and any attempt to reboot resulted in the same lock up everytime the card went in graphics mode. But I was able to use the card in console mode for two days before that part of the card died too.

Since then, I've been using my new card with full acceleration without any problems. Xorg code seems to be very sensitive to subtle graphics card glitches. My CPU is a K7 so the fix about memory_barrier suggested on the page linked to in Benjamin's post above probably would have not solved the problem on my machine.

Oh, and I also noticed that all redraw glitches that I noticed with the old card, glitches which seemed to get worse with new xorg versions, are completely gone. FYI, those glitches were mostly about white horizontal dashed lines drawn outside xterm windows at the top-most Y coordinate of those windows, or failing to update several rasters outside windows around the top-most Y coordinates of those windows. Those glitches were more noticeable when moving windows. They *may* be the results of bugs in non-accelerated redraw code though.

I'm sorry I'm unable to continue contributing feedback for this bug.

Thanks to everyone for their contributions anyway, and continue enjoying Linux,

Bernard.




Added tag(s) upstream and wontfix. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 15 Sep 2011 16:39:10 GMT) Full text and rfc822 format available.

Reply sent to Solveig <debian@solveig.org>:
You have taken responsibility. (Fri, 04 Oct 2013 01:45:12 GMT) Full text and rfc822 format available.

Notification sent to Per Blomqvist <per.blomqvist@telia.com>:
Bug acknowledged by developer. (Fri, 04 Oct 2013 01:45:13 GMT) Full text and rfc822 format available.

Message #66 received at 370709-done@bugs.debian.org (full text, mbox):

From: Solveig <debian@solveig.org>
To: 370709-done@bugs.debian.org
Subject: Re: xserver-xorg-video-nv: system hang in NVSync() when scrolling programs or terminal windows - closing
Date: Fri, 04 Oct 2013 01:41:13 +0000
Hi! I'm closing this bug, since it was tagged "wontfix" for some
years, without answer. If you have new reasons to point out this
problem, please feel free to re-open it.

Please note also it's marked wontfix upstream because "xf86-video-nv has
been officially unmaintained for a bit now".



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Nov 2013 07:26:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:52:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.